<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>弹性盒模型-order属性</title>
    <style>
         .order-wrap{
            display: flex;
            width: 200px;
            height: 100px;
        }
        .flex-item{
            width: 30px;
            margin-left: 2px;
            background: red;
        }
        .flex-item1{
            order: 4;
        }
        .flex-item2{
            order: 3;
        }
        .flex-item3{
            order: 2;
        }
        .flex-item4{
            order: 1;
        }
    </style>
</head>
<body>
    <div class="order-wrap">
        <div class="flex-item flex-item1">1</div>
        <div class="flex-item flex-item2">2</div>
        <div class="flex-item flex-item3">3</div>
        <div class="flex-item flex-item4">4</div>
    </div>
</body>
</html>